-- SQLite migration script

ATTACH DATABASE '/var/lib/spokes/spokes.db' AS current;

PRAGMA journal_mode=wal;

-- apikey
INSERT INTO main.apikey(id, system_id, owner_id, created, modified, active, name, value, scope) SELECT id, system_id, owner_id, created, modified, active, name, value, scope FROM current.apikey;

-- domain
INSERT INTO main.domain(id, user_id, created, domain_name) SELECT id, user_id, created, domain_name FROM current.domain;

-- endpoint
INSERT INTO main.endpoint(id, created, modified, name, url, active, authentication, key, basic_auth, delay) SELECT id, created, modified, name, url, active, authentication, key, basic_auth, delay FROM current.endpoint;

-- endpoint_config
INSERT INTO main.endpoint_config(endpoint_id, tun_up, tun_down, tun_create, tun_shutdown, tun_edit, admin_login, user_create, license_warning, conn_metric) SELECT endpoint_id, tun_up, tun_down, tun_create, tun_shutdown, tun_edit, admin_login, user_create, license_warning, conn_metric FROM current.endpoint_config;

-- http_service
INSERT INTO main.http_service(id, user_id, tunnel_id, active, available, secure, domain_name, daily, monthly) SELECT id, user_id, tunnel_id, active, available, secure, domain_name, daily, monthly FROM current.http_service;

-- port_mapping
INSERT INTO main.port_mapping(id, user_id, tunnel_id, active, port, dstPort, destination, transport, label, http) SELECT id, user_id, tunnel_id, active, port, dstPort, destination, transport, label, http FROM current.port_mapping;

-- port_service
INSERT INTO main.port_service(id, user_id, tunnel_id, active, available, protocol, port, daily, monthly, label) SELECT id, user_id, tunnel_id, active, available, protocol, port, daily, monthly, label FROM current.port_service;

-- tunnel
INSERT INTO main.tunnel(id, user_id, server_id, created, last_active, state, hub_state, uptime, is_updated, num_https, num_ports, daily, monthly, name, hostname, address, version, os, arch) SELECT id, user_id, server_id, created, last_active, state, hub_state, uptime, is_updated, num_https, num_ports, daily, monthly, name, hostname, address, version, os, arch FROM current.tunnel;

-- user
DELETE FROM main.user WHERE email = "tunnels@spokes.local";

INSERT INTO main.user(id, created, modified, last_login, last_password_change, fullname, password, email, phone, admin, active, confirmed, requires_otp, bandwidth, max_bandwidth, check_domains, max_ports, check_ports, otp_secret) SELECT id, created, modified, last_login, last_password_change, fullname, password, email, phone, admin, active, confirmed, requires_otp, bandwidth, max_bandwidth, check_domains, max_ports, check_ports, otp_secret FROM current.user;

-- software
INSERT INTO main.software(id, created, modified, is_latest, active, package, version, file_name, kind, os, arch, file_size, hash, url) SELECT id, created, modified, is_latest, active, package, version, file_name, kind, os, arch, file_size, hash, url FROM current.software;

